import { ContractCreate, ContractTemplate } from '../schema/model/contract.js';
import { RecordTemplate } from '../schema/model/record.js';
type Fetcher = typeof fetch;
export declare class ContractRouter {
    readonly host: string;
    readonly fetch: Fetcher;
    constructor(hostname: string, fetcher: Fetcher);
    list: () => Promise<Response>;
    create: (template: ContractCreate) => Promise<Response>;
    read: (contractId: string) => Promise<Response>;
    prune: () => Promise<Response>;
    info: {
        update: (contractId: string, template: ContractTemplate) => Promise<Response>;
        cancel: (contractId: string) => Promise<Response>;
    };
    endorse: {
        update: (contractId: string, endorsement: string) => Promise<Response>;
        remove: (contractId: string) => Promise<Response>;
    };
    members: {
        update: (contractId: string, members: string[]) => Promise<Response>;
        remove: (contractId: string, members: string[]) => Promise<Response>;
    };
    records: {
        update: (contractId: string, records: RecordTemplate[]) => Promise<Response>;
        remove: (contractId: string, records: string[]) => Promise<Response>;
    };
    sign: {
        update: (contractId: string, signature: string) => Promise<Response>;
        remove: (contractId: string) => Promise<Response>;
    };
}
export {};
//# sourceMappingURL=contract.d.ts.map