import { z } from 'zod';
export type ProfileData = z.infer<typeof data>;
export type ProfileRecord = z.infer<typeof record>;
export type ProfileTemplate = z.infer<typeof template>;
declare const template: z.ZodObject<{
    nonce: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    alias: z.ZodString;
}, "strip", z.ZodTypeAny, {
    nonce: string;
    alias: string;
}, {
    nonce: string;
    alias: string;
}>;
declare const data: z.ZodObject<{
    nonce: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    alias: z.ZodString;
    pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
    updated_at: z.ZodDate;
}, "strip", z.ZodTypeAny, {
    pubkey: string;
    updated_at: Date;
    nonce: string;
    alias: string;
}, {
    pubkey: string;
    updated_at: Date;
    nonce: string;
    alias: string;
}>;
declare const record: z.ZodObject<{
    kind: z.ZodEnum<["data", "script", "term"]>;
    label: z.ZodString;
    content: z.ZodArray<z.ZodString, "many">;
    type: z.ZodLiteral<"profile">;
}, "strip", z.ZodTypeAny, {
    type: "profile";
    kind: "data" | "script" | "term";
    label: string;
    content: string[];
}, {
    type: "profile";
    kind: "data" | "script" | "term";
    label: string;
    content: string[];
}>;
export declare const ProfileSchema: {
    data: z.ZodObject<{
        nonce: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        alias: z.ZodString;
        pubkey: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        updated_at: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        pubkey: string;
        updated_at: Date;
        nonce: string;
        alias: string;
    }, {
        pubkey: string;
        updated_at: Date;
        nonce: string;
        alias: string;
    }>;
    label: z.ZodString;
    record: z.ZodObject<{
        kind: z.ZodEnum<["data", "script", "term"]>;
        label: z.ZodString;
        content: z.ZodArray<z.ZodString, "many">;
        type: z.ZodLiteral<"profile">;
    }, "strip", z.ZodTypeAny, {
        type: "profile";
        kind: "data" | "script" | "term";
        label: string;
        content: string[];
    }, {
        type: "profile";
        kind: "data" | "script" | "term";
        label: string;
        content: string[];
    }>;
    template: z.ZodObject<{
        nonce: z.ZodEffects<z.ZodEffects<z.ZodString, string, string>, string, string>;
        alias: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        nonce: string;
        alias: string;
    }, {
        nonce: string;
        alias: string;
    }>;
};
export {};
//# sourceMappingURL=profile.d.ts.map